org.apache.sysds.runtime.controlprogram.federated

## Enum FederatedRequest.RequestType

- java.lang.Object
- - java.lang.Enum<FederatedRequest.RequestType>
  - - org.apache.sysds.runtime.controlprogram.federated.FederatedRequest.RequestType

All Implemented Interfaces:
  Serializable, Comparable<FederatedRequest.RequestType>

Enclosing class:
  FederatedRequest

    public static enum FederatedRequest.RequestType
    extends Enum<FederatedRequest.RequestType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLEAR`
`EXEC_INST`
`EXEC_UDF`
`GET_VAR`
`PUT_VAR`
`READ_VAR`

### Method Summary

All Methods Static Methods Concrete Methods
`static FederatedRequest.RequestType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FederatedRequest.RequestType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### READ_VAR

    public static final FederatedRequest.RequestType READ_VAR

#### PUT_VAR

    public static final FederatedRequest.RequestType PUT_VAR

#### GET_VAR

    public static final FederatedRequest.RequestType GET_VAR

#### EXEC_INST

    public static final FederatedRequest.RequestType EXEC_INST

#### EXEC_UDF

    public static final FederatedRequest.RequestType EXEC_UDF

#### CLEAR

    public static final FederatedRequest.RequestType CLEAR

### Method Detail

#### values

    public static FederatedRequest.RequestType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FederatedRequest.RequestType c : FederatedRequest.RequestType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FederatedRequest.RequestType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null